<!DOCTYPE html>
<html>
<head>
	<title>Json Object In Javascript</title>
	<script type="text/javascript">
		let abc =[{
			"key":1,
			"name":"harish"

		},
            {
            	"key":2,
            	"name":"harish1"
            },
            {
            	"key":3,
            	"name":"harish2"
            },
            {
            	"key":4,
            	"name":"harish3"
            }
		];//json is a collection of javascript objects
		//let key3=abc[2].name;
		console.log(abc);

		let oddObjects =[];
        let evenObjects =[];
        // for (let index = 0; index < abc.length;index++){
        // 	const element =abc[index];
        // 	if (element.key % 2== 0){
        // 		//even
        // 		evenObjects.push(element)
        // 	}else{
        // 		//odd
        // 		oddObjects.push(element);
        // 	}
        // }
        evenObjects=abc.filter(function(e){
        	console.log(e);
        	return e.key %2==0;
        });//filter loops the given object and executes the given function  for all the objects in json and return objects that are only true
        oddObjects=abc.filter(function(e){
              console.log(e);
              return e.key %2 ==1;
        });

        //write a function that returns all the key values i.e for abc object i want result as[1,2,3,4,5];
        //sort the array [2,10,1,55,6,89,22,11];Result[1,2,6,10,11,22,55,89]
        let abcString = JSON.stringify(abc);
        console.log(abcString);
        console.log(JSON.parse(abcString));

        console.log(evenObjects,oddObjects);
			</script>
        
</head>
<body>

</body>
</html>